//
//  ViewController.m
//  PhotoViewer1
//
//  Created by Developer on 12/01/23.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"

const NSUInteger cstImageNum = 3;
const NSInteger cstScrollViewHeight =460;
const NSInteger cstScrollViewWidth =320;
@implementation ViewController

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle
- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    NSUInteger i;
    // 001~003.jpgまで読み込み
    for (i = 1; i <= cstImageNum; i++) {
        NSString *imageName = [NSString stringWithFormat:@"%03d.jpg",i];
        UIImage *image = [UIImage imageNamed:imageName];
        UIImageView * imageView = [[UIImageView alloc] initWithImage:image];
        CGRect rect = imageView.frame;
        rect.size.height = cstScrollViewHeight;
        rect.size.width = cstScrollViewWidth;
        imageView.frame = rect;
        imageView.tag = i;
        [ScrollView addSubview:imageView];
    }
    // ImageViewの位置Xを設定
    [self layoutScrollImages];
}

-(void)layoutScrollImages
{
    UIImageView *ImageView = nil;
    NSArray *subViews = [ScrollView subviews];
    CGFloat XLoc = 0;
    // X位置を320ずつずらす
    for (ImageView in subViews) {
        if ([ImageView isKindOfClass:[UIImageView class]] && ImageView.tag > 0) {
            CGRect frame = ImageView.frame;
            frame.origin = CGPointMake(XLoc, 0);
            ImageView.frame = frame;
            XLoc += (cstScrollViewWidth);
        }
    }
    // ScrollViewのサイズを設定
    [ScrollView setContentSize:CGSizeMake(cstImageNum * cstScrollViewWidth,
                                          [ScrollView bounds].size.height)];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone) {
        return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    } else {
        return YES;
    }
}

@end