//
//  FirstViewController.m
//  Memo_GPS1
//
//  Created by Developer on 12/01/23.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "FirstViewController.h"

@implementation FirstViewController

-(IBAction)PushSaveButton
{
    [TextView resignFirstResponder];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    NSArray *PathArray;
    NSString *PathString;
    NSData *MemoData;
    NSString *MemoTextString;
    PathArray = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,NSUserDomainMask, YES);
    PathString = [PathArray objectAtIndex:0];
    PathString = [PathString stringByAppendingPathComponent:@"text"];
    if ([[NSFileManager defaultManager] fileExistsAtPath:PathString]) {
        MemoData = [NSData dataWithContentsOfFile:PathString];
        MemoTextString = [[NSString alloc]initWithData:
                          MemoData encoding:NSUTF8StringEncoding];
        TextView.text = MemoTextString;
    }
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    NSArray *PathArray;
    NSString *PathString;
    NSData *MemoData;
    PathArray = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,
                                                    NSUserDomainMask, YES);
    PathString = [PathArray objectAtIndex:0];
    PathString = [PathString stringByAppendingPathComponent:@"text"];
    MemoData = [TextView.text dataUsingEncoding:NSUTF8StringEncoding];
    [MemoData writeToFile:PathString atomically:YES];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPhone) {
        return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
    } else {
        return YES;
    }
}

@end